Skip to content
Shortcut: /, ⌘K or Ctrl+K

Groups

View as Markdown

The group object

Attributes

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Opaque Polymorfa group ID. Keep it as a string.

  • namestringrequired

    Human-readable name for this resource.

  • descriptionstringrequired

    Human-readable description of this resource.

  • ownerIdstringrequired

    Identifier for the owner.

  • createdAtnumberrequired

    Unix timestamp in seconds

  • participantsarray of objectrequired

    Participants associated with the group or conversation.

    Show 6 child fields
The group object
{
  "id": "string",
  "name": "string",
  "description": "string",
  "ownerId": "string",
  "createdAt": 0,
  "participants": [
    {
      "id": "739182640518203",
      "phoneNumber": "string",
      "bsuid": "string",
      "username": "string",
      "isAdmin": true,
      "isSuperAdmin": true
    }
  ]
}

Create group

POST/messaging/{session}/groupsMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • namestringrequiredmin length1

    Human-readable name for this resource.

  • participantsarray of stringrequireditems1–256item pattern^[1-9][0-9]{0,18}$

    Participants associated with the group or conversation.

Responses

  • 200Group created
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 6 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/groupscURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "participants": [
    "string"
  ]
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "ownerId": "string",
    "createdAt": 0,
    "participants": [
      {
        "id": "739182640518203",
        "isAdmin": true,
        "isSuperAdmin": true
      }
    ]
  }
}

List groups

GET/messaging/{session}/groupsMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Responses

  • 200Group list
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataarray of objectrequired

      Structured data carried by this object.

      Show 6 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/groupscURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/groups" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "ownerId": "string",
      "createdAt": 0,
      "participants": [
        {
          "id": "739182640518203",
          "isAdmin": true,
          "isSuperAdmin": true
        }
      ]
    }
  ]
}

Get group join info

GET/messaging/{session}/groups/join-infoMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Query parameters

  • codestringrequiredmin length1

    Stable machine-readable code for this result.

Responses

  • 200Join info
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 6 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/groups/join-infocURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/groups/join-info?code=<code>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "id": "string",
    "subject": "string",
    "creatorId": "string",
    "createdAt": 0,
    "size": 0,
    "participants": [
      {
        "id": "739182640518203",
        "isAdmin": true,
        "isSuperAdmin": true
      }
    ]
  }
}

Get group capabilities

GET/messaging/{session}/groups/{id}/capabilitiesMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Responses

  • 200Account-bound stored group capabilities. Unknown until successful number and group syncs for the linked account. Requires current group membership and the enrolled number-capabilities beta.
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 4 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
  • 503The stored capability reader, identity resolution or command dispatch is temporarily unavailable.
GET /messaging/{session}/groups/{id}/capabilitiescURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/groups/<id>/capabilities" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "status": "synced",
    "syncedAt": "2026-09-22T12:00:00Z",
    "checkedAt": "2026-09-22T12:00:00Z",
    "capabilities": [
      {
        "key": "polls.endTime",
        "kind": "feature",
        "unit": null,
        "value": true,
        "source": "server"
      }
    ]
  }
}

Get group

GET/messaging/{session}/groups/{id}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Responses

  • 200Group details
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 6 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/groups/{id}cURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/groups/<id>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "ownerId": "string",
    "createdAt": 0,
    "participants": [
      {
        "id": "739182640518203",
        "isAdmin": true,
        "isSuperAdmin": true
      }
    ]
  }
}

Get group invite code

GET/messaging/{session}/groups/{id}/invite-codeMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Responses

  • 200Invite code
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/groups/{id}/invite-codecURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/groups/<id>/invite-code" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "code": "string"
  }
}

Get group participants

GET/messaging/{session}/groups/{id}/participantsMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Responses

  • 200Participant list
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataarray of objectrequired

      Structured data carried by this object.

      Show 6 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/groups/{id}/participantscURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/groups/<id>/participants" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": [
    {
      "id": "739182640518203",
      "isAdmin": true,
      "isSuperAdmin": true
    }
  ]
}

Join group

POST/messaging/{session}/groups/joinMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • codestringrequiredmin length1

    Group invite code used to join the target group.

Responses

  • 200Joined group
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/groups/joincURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/join" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "code": "string"
}'
Response
{
  "success": true
}

Leave group

POST/messaging/{session}/groups/{id}/leaveMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Responses

  • 200Left group
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/groups/{id}/leavecURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/leave" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true
}

Set group subject

PUT/messaging/{session}/groups/{id}/subjectMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • valuestringrequired

    Value assigned to this field.

Responses

  • 200Subject updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/groups/{id}/subjectcURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/subject" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "string"
}'
Response
{
  "success": true
}

Set group description

PUT/messaging/{session}/groups/{id}/descriptionMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • valuestringrequired

    Value assigned to this field.

Responses

  • 200Description updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/groups/{id}/descriptioncURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/description" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "string"
}'
Response
{
  "success": true
}

Add group participants

POST/messaging/{session}/groups/{id}/participants/addMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • participantsarray of stringrequireditems1–256item pattern^[1-9][0-9]{0,18}$

    Participants associated with the group or conversation.

Responses

  • 200Participants added
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/groups/{id}/participants/addcURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/participants/add" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "participants": [
    "string"
  ]
}'
Response
{
  "success": true
}

Remove group participants

POST/messaging/{session}/groups/{id}/participants/removeMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • participantsarray of stringrequireditems1–256item pattern^[1-9][0-9]{0,18}$

    Participants associated with the group or conversation.

Responses

  • 200Participants removed
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/groups/{id}/participants/removecURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/participants/remove" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "participants": [
    "string"
  ]
}'
Response
{
  "success": true
}

Promote group admin

POST/messaging/{session}/groups/{id}/admin/promoteMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • participantsarray of stringrequireditems1–256item pattern^[1-9][0-9]{0,18}$

    Participants associated with the group or conversation.

Responses

  • 200Participants promoted
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/groups/{id}/admin/promotecURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/admin/promote" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "participants": [
    "string"
  ]
}'
Response
{
  "success": true
}

Demote group admin

POST/messaging/{session}/groups/{id}/admin/demoteMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • participantsarray of stringrequireditems1–256item pattern^[1-9][0-9]{0,18}$

    Participants associated with the group or conversation.

Responses

  • 200Participants demoted
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/groups/{id}/admin/demotecURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/admin/demote" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "participants": [
    "string"
  ]
}'
Response
{
  "success": true
}

Set group picture

PUT/messaging/{session}/groups/{id}/pictureMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • urlstring

    URL associated with this resource.

  • base64string

    Base64-encoded content with no data-URL prefix.

Responses

  • 200Picture updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/groups/{id}/picturecURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/picture" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "string",
  "base64": "string"
}'
Response
{
  "success": true
}

Set group info editing

PUT/messaging/{session}/groups/{id}/settings/info-editMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • adminsOnlybooleanrequired

    Whether admins only.

Responses

  • 200Group information permission updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/groups/{id}/settings/info-editcURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/settings/info-edit" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "adminsOnly": true
}'
Response
{
  "success": true
}

Set group messaging

PUT/messaging/{session}/groups/{id}/settings/messagesMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • adminsOnlybooleanrequired

    Whether admins only.

Responses

  • 200Group messaging permission updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/groups/{id}/settings/messagescURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/settings/messages" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "adminsOnly": true
}'
Response
{
  "success": true
}

Set group member add mode

PUT/messaging/{session}/groups/{id}/settings/member-addMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • modestringrequired

    Operating mode selected for this feature.

    Allowed valuesadmin_addall_member_add

Responses

  • 200Group member-add mode updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/groups/{id}/settings/member-addcURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/settings/member-add" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "mode": "admin_add"
}'
Response
{
  "success": true
}

Set group join approval

PUT/messaging/{session}/groups/{id}/settings/join-approvalMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Body

  • requiredbooleanrequired

    Whether required.

Responses

  • 200Group join approval updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/groups/{id}/settings/join-approvalcURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/groups/<id>/settings/join-approval" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "required": true
}'
Response
{
  "success": true
}

Revoke group invite code

POST/messaging/{session}/groups/{id}/invite-code/revokeMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Responses

  • 200New invite code
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/groups/{id}/invite-code/revokecURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/groups/<id>/invite-code/revoke" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "code": "string"
  }
}

Delete group

DELETE/messaging/{session}/groups/{id}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
groups:manage

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Identifier for this resource.

Responses

  • 200Left group
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
DELETE /messaging/{session}/groups/{id}cURL
Not available with the Test key. Use a team key or project token.
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/groups/<id>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true
}